Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Christer Weinigel <[email-masked]>
Date: Thu, 12 Mar 2009 20:29:23 +0100

Neil Horman wrote:
> You didn't read what I wrote very closely, I specifically said you have to dig
> or host to do name lookups, specifically because of the issues with getXbyY.

Did too.  :-)

> 3) Your knoweldge from (1) is insufficient to implement the required initramfs in (2)
> in (assuming your example time frame) 1 week?
> 
> Seriously?

Yup.  A week right now is a luxury I usually don't have right now.
I shouldn't even be spending time writing this mail, but I'm eh,
right, waiting for a compilation to finish.

>> Anyway, I've spent more time on discussing this now than it would have  
>> taken me to hack the device drivers on half a dozen platforms, so I  
>> think I'll give up.  Maybe I'll take a look at some initrd+klibc+dhcp  
>> stuff when I have some free time next Christmas (that's when I usually  
>> get to play around with my hobby projects), maybe not. :-)
>>
> I sympathize with you.  This is exactly what soured me on embedded work a few
> years back.  Embedded shops are forever compromising doing things correctly in
> the name of time and schedules, never paying any heed to the possibility that
> taking extra time to do things in an agreed upon, organized and standard fashion
> might pay off for them in the long run.  

Actually, I'm quite happy about work so far.  When worked on improving 
the Samsung S3C24A0 patches Sandeep Patil had made, I got approval from 
my boss to spend time on making them suitable for submission to the 
official kernel, so I was able to do a lot more than just "make things 
work now".  But the last few months have been kind of hectic.

   /Christer